TrimCurve2Builder Class

class NXOpen.Features.TrimCurve2Builder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.Features.TrimCurve2 builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateTrimCurve2FeatureBuilder()

Default values.

Property Value
CurveExtensionOption None
CurveOptions.Associative True
DirectionOption Shortest3DDistance
KeepOrDiscard Keep
MakeInputCurvesDashed 0
OperationOption Trim
PerformExtendedIntersectionCalculation False
ProcessBoundingObjects 0

New in version NX11.0.1.

Properties

Property Description
BoundingObjectList Returns the list of bounding objects
CurveExtensionOption Returns or sets the curve extension option
CurveOptions Returns the Curve Options
CurveToTrim Returns the curve to trim
DirectionOption Returns or sets the direction type
KeepOrDiscard Returns or sets the keep or discard selected option
MakeInputCurvesDashed Returns or sets the make input curves dashed option
OperationOption Returns or sets the curve operation type
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PerformExtendedIntersectionCalculation Returns or sets the perform extended intersection calculation option
ProcessBoundingObjects Returns or sets the process bounding objects option
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
Vector Returns or sets the user defined vector

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
CreateTrimCurveBoundingObjectBuilder Creates an NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder object.
DeselectDivideLocation The function deselects the divide location.
DeselectTrimRegion The function sets help point for region select.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
ResetTrimRegions The function deselects all trim regions
SelectDivideLocation The function selects the divide location.
SelectTrimRegion The function sets help point for region select.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
UpdateTrimRegionsAndDivideLocations The regions are recreated and updated to reflect the change in the boundary curves
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

TrimCurve2BuilderCurveExtension Enumeration the Curve extension selection
TrimCurve2BuilderDirection Enumeration the Direction type selection
TrimCurve2BuilderKeepDiscard Enumeration the Keep or Discard selection
TrimCurve2BuilderOperation Enumeration the Trim or Divide selection

Property Detail

BoundingObjectList

TrimCurve2Builder.BoundingObjectList

Returns the list of bounding objects

-------------------------------------

Getter Method

Signature BoundingObjectList

Returns:Get bounding object list
Return type:NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilderList

New in version NX11.0.1.

License requirements: None.

CurveExtensionOption

TrimCurve2Builder.CurveExtensionOption

Returns or sets the curve extension option

-------------------------------------

Getter Method

Signature CurveExtensionOption

Returns:Get Curve Extesnion Type
Return type:NXOpen.Features.TrimCurve2BuilderCurveExtension

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature CurveExtensionOption

Parameters:curveExtensionEnumType (NXOpen.Features.TrimCurve2BuilderCurveExtension) – Set Curve Extesnion Type

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

CurveOptions

TrimCurve2Builder.CurveOptions

Returns the Curve Options

-------------------------------------

Getter Method

Signature CurveOptions

Returns:Curve Options
Return type:NXOpen.GeometricUtilities.CurveOptions

New in version NX11.0.1.

License requirements: None.

CurveToTrim

TrimCurve2Builder.CurveToTrim

Returns the curve to trim

-------------------------------------

Getter Method

Signature CurveToTrim

Returns:Get curve to trim
Return type:NXOpen.Section

New in version NX11.0.1.

License requirements: None.

DirectionOption

TrimCurve2Builder.DirectionOption

Returns or sets the direction type

-------------------------------------

Getter Method

Signature DirectionOption

Returns:Get direction option
Return type:NXOpen.Features.TrimCurve2BuilderDirection

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature DirectionOption

Parameters:directionEnumType (NXOpen.Features.TrimCurve2BuilderDirection) – Set direction option

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

KeepOrDiscard

TrimCurve2Builder.KeepOrDiscard

Returns or sets the keep or discard selected option

-------------------------------------

Getter Method

Signature KeepOrDiscard

Returns:Get keep or discard region status
Return type:NXOpen.Features.TrimCurve2BuilderKeepDiscard

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature KeepOrDiscard

Parameters:keepOrDiscardEnumType (NXOpen.Features.TrimCurve2BuilderKeepDiscard) – Set keep or discard region status

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

MakeInputCurvesDashed

TrimCurve2Builder.MakeInputCurvesDashed

Returns or sets the make input curves dashed option

-------------------------------------

Getter Method

Signature MakeInputCurvesDashed

Returns:Get make input curves dashed status
Return type:bool

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature MakeInputCurvesDashed

Parameters:makeInputCurvesDashedToggleStatus (bool) – Set make input curves dashed status

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

OperationOption

TrimCurve2Builder.OperationOption

Returns or sets the curve operation type

-------------------------------------

Getter Method

Signature OperationOption

Returns:Get operation type
Return type:NXOpen.Features.TrimCurve2BuilderOperation

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature OperationOption

Parameters:operationEnumType (NXOpen.Features.TrimCurve2BuilderOperation) – Set operation type

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

PerformExtendedIntersectionCalculation

TrimCurve2Builder.PerformExtendedIntersectionCalculation

Returns or sets the perform extended intersection calculation option

-------------------------------------

Getter Method

Signature PerformExtendedIntersectionCalculation

Returns:Get perform extended intersection calculation status
Return type:bool

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature PerformExtendedIntersectionCalculation

Parameters:performExtendedIntersectionCalculationToggleStatus (bool) – Set perform extended intersection calculation status

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

ProcessBoundingObjects

TrimCurve2Builder.ProcessBoundingObjects

Returns or sets the process bounding objects option

-------------------------------------

Getter Method

Signature ProcessBoundingObjects

Returns:Get Process Bounding Objects status
Return type:bool

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature ProcessBoundingObjects

Parameters:processBoundingObjectsToggleStatus (bool) – Set Process Bounding Objects status

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

Vector

TrimCurve2Builder.Vector

Returns or sets the user defined vector

-------------------------------------

Getter Method

Signature Vector

Returns:Get direction vector
Return type:NXOpen.Direction

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature Vector

Parameters:vector (NXOpen.Direction) – Set direction vector

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

CreateTrimCurveBoundingObjectBuilder

TrimCurve2Builder.CreateTrimCurveBoundingObjectBuilder

Creates an NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder object.

Signature CreateTrimCurveBoundingObjectBuilder()

Returns:
Return type:NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

DeselectDivideLocation

TrimCurve2Builder.DeselectDivideLocation

The function deselects the divide location.

Signature DeselectDivideLocation(helpPoint)

Parameters:helpPoint (NXOpen.Point3d) – preview point

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

DeselectTrimRegion

TrimCurve2Builder.DeselectTrimRegion

The function sets help point for region select.

The region corresponding to help point will be kept/discarded depending on trim type

Signature DeselectTrimRegion(helpPoint)

Parameters:helpPoint (NXOpen.Point3d) – Help point for region selection

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

ResetTrimRegions

TrimCurve2Builder.ResetTrimRegions

The function deselects all trim regions

Signature ResetTrimRegions()

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

SelectDivideLocation

TrimCurve2Builder.SelectDivideLocation

The function selects the divide location.

Signature SelectDivideLocation(helpPoint)

Parameters:helpPoint (NXOpen.Point3d) – preview point

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

SelectTrimRegion

TrimCurve2Builder.SelectTrimRegion

The function sets help point for region select.

The region corresponding to help point will be kept/discarded depending on trim type

Signature SelectTrimRegion(helpPoint)

Parameters:helpPoint (NXOpen.Point3d) – Help point for region selection

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

UpdateTrimRegionsAndDivideLocations

TrimCurve2Builder.UpdateTrimRegionsAndDivideLocations

The regions are recreated and updated to reflect the change in the boundary curves

Signature UpdateTrimRegionsAndDivideLocations()

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

Validate

TrimCurve2Builder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.